Page MenuHomePhabricator

Notice: Undefined property: stdClass::$ores_damaging_threshold in /srv/mediawiki/php-1.31.0-wmf.6/extensions/ORES/includes/Hooks.php on line 602
Closed, ResolvedPublic

Description

Seems similar to T164984

Every 2.0s: tail -n 1000 /srv/mw-log/hhvm.log |                                                                                                                                            Mon Nov  6 14:40:21 2017

    428 Notice: Undefined property: stdClass::$ores_damaging_threshold in /srv/mediawiki/php-1.31.0-wmf.6/extensions/ORES/includes/Hooks.php on line 602

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Nov 6 2017, 2:40 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptNov 6 2017, 2:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
awight added a subscriber: awight.

Change 390072 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Don't use $row->ores_damaging_threshold in Contributions where it isn't set

https://gerrit.wikimedia.org/r/390072

awight claimed this task.Nov 28 2017, 5:18 PM

Confirmed that this is still happening, although only in bursts:
https://logstash.wikimedia.org/goto/61a2074c6fef5cdef123efb14e106f00

These bursts correspond perfectly with service outages.

Strange, when I disable the ORES service locally and request Special:Contributions, the damaging threshold term is not included in the query (correct) and we never hit the line of code which is complaining (correct).

The checkbox for "hide good edits" should disappear but does not (bug).

Change 394109 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Protect Special:Contributions code from missing threshold

https://gerrit.wikimedia.org/r/394109

Change 394109 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Protect Special:Contributions code from missing threshold

https://gerrit.wikimedia.org/r/394109

Halfak closed this task as Resolved.Jan 30 2018, 8:31 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM